@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

:root {
  /** colors **/
  /* primary */
  --color-primary-025: #f6fbff;
  --color-primary-050: #e9f4ff;
  --color-primary-100: #d2e9ff;
  --color-primary-200: #a5d3ff;
  --color-primary-300: #78bcff;
  --color-primary-400: #4ba6ff;
  --color-primary-500: #1e90ff;
  --color-primary-600: #1873cc;
  --color-primary-700: #125699;
  --color-primary-800: #0c3a66;
  --color-primary-900: #061d33;

  /* secondary */
  --color-secondary-025: #f8f9f9;
  --color-secondary-050: #edf0f1;
  --color-secondary-100: #dbe0e2;
  --color-secondary-200: #b7c1c6;
  --color-secondary-300: #92a3a9;
  --color-secondary-400: #6e848d;
  --color-secondary-500: #4a6570;
  --color-secondary-600: #3b515a;
  --color-secondary-700: #2c3d43;
  --color-secondary-800: #1e282d;
  --color-secondary-900: #0f1416;

  /* core */
  --color-white: #ffffff;
  --color-black: #000000;

  /** typography **/
  --font-family-base: 'DM Sans', sans-serif;

  --font-size-h1: 48px;
  --font-size-h2: 40px;
  --font-size-h3: 32px;

  /* ===== SUBTITLE ===== */
  --font-size-h4: 24px;
  --font-size-h5: 22px;
  --font-size-h6: 20px;

  /* ===== BODY ===== */
  --font-size-lg: 18px;
  --font-size-md: 16px;
  --font-size-sm: 14px;

  /* ===== CAPTION ===== */
  --font-size-caption-lg: 12px;
  --font-size-caption-md: 10px;
  --font-size-caption-sm: 8px;
}

/* header */

h1 {
  font-size: var(--font-size-h1);
  font-weight: 700;
}

h2 {
  font-size: var(--font-size-h2);
  font-weight: 700;
}

h3 {
  font-size: var(--font-size-h3);
  font-weight: 700;
}

h4 {
  font-size: var(--font-size-h4);
  font-weight: 600;
}

h5 {
  font-size: var(--font-size-h5);
  font-weight: 600;
}

h6 {
  font-size: var(--font-size-h6);
  font-weight: 600;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
  padding: 0;
}

/* body */

.text-body-lg {
  font-size: var(--font-size-lg);
  font-weight: 400;
}

.text-body-lg-bold {
  font-size: var(--font-size-lg);
  font-weight: 700;
}

.text-body-md {
  font-size: var(--font-size-md);
}

.text-body-sm {
  font-size: var(--font-size-sm);
}

/* caption */

.text-caption-lg {
  font-size: var(--font-size-caption-lg);
}

.text-caption-md {
  font-size: var(--font-size-caption-md);
}

.text-caption-sm {
  font-size: var(--font-size-caption-sm);
}

/* utilities */
* {
  margin: 0;
  padding: 0;
}

.content {
  width: 100%;
  padding: 32px 20px;
}

@media (min-width: 768px) {
  .content {
    padding: 32px 100px;
  }
}

@media (min-width: 1200px) {
  .content {
    padding: 32px 300px;
  }
}

.toggle-password {
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  cursor: pointer;
  color: var(--color-black);
  z-index: 5;
}

.toggle-password:hover {
  color: var(--color-primary-500);
}

.select-arrow {
  position: absolute;
  right: 15px;
  top: 50%;
  bottom: 50%;
  pointer-events: none;
  color: var(--color-black);
  font-size: 14px;
}

.radio-group {
  display: flex;
  gap: 25px;
  padding-top: 20px;
}

.country-select-wrapper {
  position: relative;
}

.country-select-wrapper select {
  padding-left: 55px;
  padding-right: 35px;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;

  text-indent: -9999px;
}

.country-select-wrapper select:focus {
  text-indent: 0;
}

.country-select-wrapper select option {
  color: var(--color-black);
}

.dial-overlay {
  position: absolute;
  left: 45px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  font-weight: 500;
}

.country-select-wrapper .iti__flag {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
}

a.active h6 {
  color: var(--color-primary-500);
}

.cookie-banner {
  position: sticky;
  bottom: 3%;
  left: 0;
  right: 0;
  width: 100%;
  z-index: 9999;
}

.cookie-box {
  width: calc(100% - 600px);
  background: var(--color-white);
  border-radius: 16px;
  box-shadow: 0 0 16px 0 rgba(0, 0, 0, 0.06);
}

@media (max-width: 1199px) {
  .cookie-box {
    width: calc(100% - 300px);
  }
}

/* Mobile */
@media (max-width: 767px) {
  .cookie-box {
    width: calc(100% - 32px);
    bottom: 16px;
  }
}

.cookie-banner.cookie-hidden {
  display: none;
}

body.cookie-show {
  padding-top: 90px;
}

.auth-switch {
  background: none;
  border: none;
  padding: 0;
  font-weight: 700;
  color: var(--color-primary-500);
  cursor: pointer;
  text-decoration: none;
}

.form-select:invalid {
  color: var(--color-secondary-500);
}

.form-select option {
  color: var(--color-black);
}

.modal-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal-box {
  background: var(--color-white);
  width: 90%;
  max-width: 600px;
  border-radius: 12px;
  padding: 24px;
  box-shadow: 0 20px 60px rgba(0, 0, 0, 0.25);
  animation: fadeIn 0.2s ease;
}

/* ===== HEADER ===== */
.modal-header-custom {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

.modal-close {
  border: none;
  background: none;
  font-size: 22px;
  cursor: pointer;
  color: var(--color-secondary-700);
}

.modal-header-text {
  font-weight: 700;
  color: var(--color-secondary-700);
  font-size: var(--font-size-h5);
}

/* ===== TITLE ===== */
.modal-title {
  color: var(--color-secondary-700);
  margin-bottom: 15px;
}

/* ===== BODY ===== */
.modal-body {
  padding: 16px 0;
  color: var(--color-secondary-500);
}

@keyframes fadeIn {
  from {
    transform: translateY(-10px);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.modal-message {
  color: #5f6b7a;
  font-size: 15px;
  line-height: 1.6;
}

@media (max-width: 768px) {
  .mobile-mb-1 {
    margin-bottom: 20px !important;
  }

  .mobile-mb-2 {
    margin-bottom: 20px !important;
  }
}

@media (max-width: 1400px) {
  .mobile-mb-1 {
    margin-bottom: 90px !important;
  }

  .mobile-mb-2 {
    margin-bottom: 90px !important;
  }
}

.field-error {
  color: #dc3545;
  font-size: 0.825rem;
  margin-top: 4px;
  display: none;
}

.field-error.show {
  display: block;
}

.is-invalid {
  border-color: #dc3545 !important;
}

.is-invalid-group {
  border: 1px solid #dc3545;
  border-radius: 8px;
  padding: 8px;
}

.checkbox-item label {
  cursor: pointer;
}

.btn-text {
  padding: 16px 24px;
  border: none;
  color: var(--color-primary-500);
  background-color: transparent;
  transition: all 0.25s ease-in;
}

.banner-16x9 {
  width: 100%;
  max-width: 1320px;
  margin: 0 auto;
  aspect-ratio: 16 / 9;
  overflow: hidden;
}

.banner-16x9 img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.btn-action {
  height: fit-content;
  padding: 19px;
  background-color: var(--color-white);
  border: 2px solid var(--color-primary-500);
  border-radius: 16px;
  color: var(--color-secondary-600);
  font-size: var(--font-size-h4);
  transition: all 0.25s ease-in-out;
}

.btn-action:hover i {
  color: var(--color-white);
}

.btn-action:hover {
  background-color: var(--color-primary-500);
}

.order-summmary td,
.order-summmary th {
  vertical-align: middle;
}

.order-summmary .badge {
  white-space: normal;
  display: inline-block;
  max-width: 100%;
}

@media (max-width: 768px) {
  .order-summmary td:nth-child(4) {
    text-align: left !important;
  }
}
